## ncmpcpp 0.5.10

=== extras/Makefile ===
CXX=g++
CXXFLAGS=-O2 -g
CPPFLAGS=`taglib-config --cflags`
LDFLAGS=`taglib-config --libs`

artist_to_albumartist: artist_to_albumartist.cpp
	$(CXX) artist_to_albumartist.cpp -o artist_to_albumartist $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)

clean:
	rm -f artist_to_albumartist

.PHONY: clean

## ncmpcpp 0.5.2

=== debian/changelog ===
ncmpcpp (0.5.2-1ubuntu0.1) maverick-proposed; urgency=low

   * debian/patches/incorrect-dir-removal.patch: cherry-pick upstream fix to
     arbitrary directories removal. This patch is for Lucid and Maverick
     only, already corrected on newer 0.5.4 onwards. (LP: #663925)

 -- C de-Avillez <hggdh2@ubuntu.com>  Wed, 20 Oct 2010 15:25:32 -0500

ncmpcpp (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/visualizer-remove-warning.patch
     + Remove a g++ warning.
  * debian/patches/charset-use-free-to-release-memory.patch
     + Use free(3) instead of delete[] to release memory allocated by strdup(3).

 -- Damien Leone <damien.leone@fensalir.fr>  Wed, 03 Mar 2010 20:06:15 +0100

ncmpcpp (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Damien Leone <damien.leone@fensalir.fr>  Sat, 20 Feb 2010 16:50:53 +0100

ncmpcpp (0.5-1) unstable; urgency=low

  * Update to new Standards-Version: 3.8.4
  * debian/patches/fix_typos_manpage.patch
     + Fix typos in the manpage.

 -- Damien Leone <damien.leone@fensalir.fr>  Sat, 13 Feb 2010 15:32:47 +0100

ncmpcpp (0.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to dpkg-source 3.0 (quilt) format.
  * New upstream release. (Closes: #566162)
  * Enable visualizer feature. (Closes: #553382)
  * Enable outputs feature.
  * Disable iconv.
  * Install ncmpcpp-completion.bash from doc as
      /etc/bash_completion.d/ncmpcpp.

 -- Laurent Arnoud <laurent.arnoud@gmail.com>  Sat, 30 Jan 2010 16:24:16 +0100

ncmpcpp (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update to new Standards-Version 3.8.3.
  * debian/patches/use_z_instead_of_l_for_size_t.patch
    + Remove patch since it is fixed in new release.
  * debian/patches/initialize_color_value_to_get_rid_of_the_warning.patch
    + Remove patch since it is fixed in new release.
  * debian/patches/changelog.patch
    + Add the project's ChangeLog generated by git-log.

 -- Damien Leone <damien.leone@fensalir.fr>  Fri, 09 Oct 2009 19:15:08 +0200

ncmpcpp (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * Update to new Standard-Version 3.8.2.
  * debian/patches/use_z_instead_of_l_for_size_t.patch
    + Remove a g++ warning.
  * debian/patches/initialize_color_value_to_get_rid_of_the_warning.patch
    + Remove a g++ warning, patch taken from git.

 -- Damien Leone <damien.leone@fensalir.fr>  Mon, 25 May 2009 20:34:43 +0200

ncmpcpp (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Removed deprecated dh_desktop.

 -- Damien Leone <damien.leone@fensalir.fr>  Mon, 01 Jun 2009 15:06:48 +0200

ncmpcpp (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/charset_use_macros.patch
    + Remove patch since it has been fixed in this release.

 -- Damien Leone <damien.leone@fensalir.fr>  Tue, 24 Mar 2009 15:13:29 +0100

ncmpcpp (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Use upstream manpage.
    + Install desktop entry file.
  * debian/watch:
    + Fix URL pattern.
  * debian/copyright:
    + Add license for libmpdclient.* files.
  * debian/patches/*:
    + Remove patches numerotation.
  * debian/patches/autoreconf.patch:
    + Fix patching temporary files.
  * Use macros instead of inline functions in charset.h, this is a bug
    which has been fixed in git version.
    + Add debian/patches/charset_use_macros.patch.
  * Add a desktop entry file

 -- Damien Leone <damien.leone@fensalir.fr>  Tue, 24 Mar 2009 15:13:29 +0100

ncmpcpp (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #514915)

 -- Damien Leone <damien.leone@fensalir.fr>  Sat, 21 Mar 2009 19:16:48 +0100

=== debian/control ===
Source: ncmpcpp
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Damien Leone <damien.leone@fensalir.fr>
Build-Depends: cdbs (>= 0.4.23-1.1),
               debhelper (>= 7.0.1),
               autotools-dev,
			   quilt,
               libncursesw5-dev,
               libcurl4-dev,
               libtag1-dev,
			   libfftw3-dev,
			   libmpdclient-dev
Standards-Version: 3.8.4
Homepage: http://unkart.ovh.org/ncmpcpp/

Package: ncmpcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mpd, desktop-file-utils
Provides: mpd-client, ncmpcpp-completion
Description: ncurses-based client for the Music Player Daemon (MPD)
 ncmpcpp is almost an exact clone of ncmpc which is a text-mode client
 for MPD, the Music Player Daemon. It provides a keyboard oriented and
 consistent interface to MPD and contains some new features ncmpc
 doesn't have. It's been also rewritten from scratch in C++.
 .
 New features include:
  - tag editor;
  - playlists editor;
  - easy to use search screen;
  - media library screen;
  - lyrics screen;
  - possibility of going to any position in currently playing track
    without rewinding/fastforwarding;
  - multi colored main window (if you want);
  - songs can be added to playlist more than once;
  - a lot of minor useful functions.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ncmpcpp
#
# Written by Damien Leone <damien.leone@fensalir.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-clock \
                             --enable-unicode \
							 --without-iconv \
							 --enable-outputs \
							 --enable-visualizer \
                             --with-curl \
                             --with-taglib

install/ncmpcpp::
	rm $(DEB_DESTDIR)/usr/share/doc/ncmpcpp/COPYING
	rm $(DEB_DESTDIR)/usr/share/doc/ncmpcpp/config
	rm $(DEB_DESTDIR)/usr/share/doc/ncmpcpp/keys
	# bash completion
	install -d -m0755 $(DEB_DESTDIR)/etc/bash_completion.d
	install -m0644 doc/ncmpcpp-completion.bash \
		$(DEB_DESTDIR)/etc/bash_completion.d/ncmpcpp

## ncmpcpp 0.5.4

=== debian/changelog ===
ncmpcpp (0.5.4-1) unstable; urgency=high

  * New upstream release.
    + Set urgency to high because it fixes a potential deletion of directories.
  * Update copyright file.
  * debian/patches/charset-use-free-to-release-memory.patch
    + Remove patch since it is fixed in new release.
  * Switch to dpkg-source 3.0 (quilt).
    + Get rid of Build-Depends on quilt.
    + Remove include of CDBS quilt file.

 -- Damien Leone <damien.leone@fensalir.fr>  Fri, 16 Jul 2010 11:57:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: ncmpcpp
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Damien Leone <damien.leone@fensalir.fr>
+Maintainer: Damien Leone <damien.leone@fensalir.fr>
 Build-Depends: cdbs (>= 0.4.23-1.1),
                debhelper (>= 7.0.1),
                autotools-dev,
-			   quilt,
                libncursesw5-dev,
                libcurl4-dev,
                libtag1-dev,
-			   libfftw3-dev,
-			   libmpdclient-dev
+               libfftw3-dev,
+               libmpdclient-dev
 Standards-Version: 3.8.4
 Homepage: http://unkart.ovh.org/ncmpcpp/

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,12 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-clock \
                              --enable-unicode \
-							 --without-iconv \
-							 --enable-outputs \
-							 --enable-visualizer \
+                             --without-iconv \
+                             --enable-outputs \
+                             --enable-visualizer \
                              --with-curl \
                              --with-taglib

## ncmpcpp 0.5.5

=== debian/changelog ===
ncmpcpp (0.5.5-1) unstable; urgency=low

  * New upstream release. (Closes: #598789)
  * Update to new Standards-Version 3.9.1.

 -- Damien Leone <damien.leone@fensalir.fr>  Thu, 09 Dec 2010 15:31:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                libncursesw5-dev,
                libcurl4-dev,
                libtag1-dev,
-               libfftw3-dev,
-               libmpdclient-dev
-Standards-Version: 3.8.4
+			   libfftw3-dev,
+			   libmpdclient-dev
+Standards-Version: 3.9.1
 Homepage: http://unkart.ovh.org/ncmpcpp/
 
 Package: ncmpcpp

## ncmpcpp 0.5.6

=== debian/changelog ===
ncmpcpp (0.5.6-2) unstable; urgency=low

  * Update debian/control
    - Change Build-Depends from libcurl4-dev to libcurl4-gnutls-dev.
      (Closes: #610847)

 -- Damien Leone <damien.leone@fensalir.fr>  Tue, 08 Mar 2011 19:01:46 +0100

ncmpcpp (0.5.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/changelog.patch
    + Fix patch format. (Closes: #608800)

 -- Damien Leone <damien.leone@fensalir.fr>  Fri, 07 Jan 2011 12:34:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                debhelper (>= 7.0.1),
                autotools-dev,
                libncursesw5-dev,
-               libcurl4-dev,
+               libcurl4-gnutls-dev,
                libtag1-dev,
 			   libfftw3-dev,
 			   libmpdclient-dev

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-clock \
                              --enable-unicode \
-                             --without-iconv \
-                             --enable-outputs \
-                             --enable-visualizer \
+							 --without-iconv \
+							 --enable-outputs \
+							 --enable-visualizer \
                              --with-curl \
                              --with-taglib

## ncmpcpp 0.5.10

=== debian/changelog ===
ncmpcpp (0.5.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix displaying of playlist in column mode if no config file is present
    using the patch applied upstream (See upstream bug #3490 / commit
    6126def6). (Closes: #676627)

 -- Christoph Egger <christoph@debian.org>  Tue, 25 Dec 2012 18:10:25 -0800

ncmpcpp (0.5.10-1) unstable; urgency=low

  * New upstream release:
    + Latest upstream release. (Closes: #661858)
    + Fix compilation with gcc 4.7. (Closes: #667294)
    + Fix automatic refreshing of playlist. (Closes: #611467)
  * Update copyright dates and holders.
  * Update to new Standards-Version 3.9.3:
    + Convert debian/copyright to DEP-5 format.
  * Build-depends on dpkg-dev:
    + Use buildflags.mk.
  * Update debhelper compat level to 9:
    + Use hardening flags.
  * debian/patches/visualizer-remove-warning.patch
    + Remove patch since it is fixed in new release.
  * debian/patches/check-return-value-of-system.patch
    + Check return value of system() calls, remove warnings.
  * debian/patches/fix-typo.patch
    + Fix a typo in the binary.
  * debian/patches/fix-manpage.patch
    + Do not set CONFIGURATION as a subsection of OPTIONS.

 -- Damien Leone <damien.leone@fensalir.fr>  Sun, 27 May 2012 22:20:12 -0700

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Damien Leone <damien.leone@fensalir.fr>
 Build-Depends: cdbs (>= 0.4.23-1.1),
-               debhelper (>= 7.0.1),
+               debhelper (>= 9),
+               dpkg-dev (>= 1.16.1~),
                autotools-dev,
                libncursesw5-dev,
                libcurl4-gnutls-dev,
                libtag1-dev,
-			   libfftw3-dev,
-			   libmpdclient-dev
-Standards-Version: 3.9.1
+               libfftw3-dev,
+               libmpdclient-dev
+Standards-Version: 3.9.3
 Homepage: http://unkart.ovh.org/ncmpcpp/
 
 Package: ncmpcpp

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,16 @@
 #
 # Written by Damien Leone <damien.leone@fensalir.fr>
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-clock \
                              --enable-unicode \
-							 --without-iconv \
-							 --enable-outputs \
-							 --enable-visualizer \
+                             --without-iconv \
+                             --enable-outputs \
+                             --enable-visualizer \
                              --with-curl \
                              --with-taglib

=== debian/watch ===
version=3
http://unkart.ovh.org/ncmpcpp/download.php ncmpcpp-(.*)\.tar\.bz2

## ncmpcpp 0.6.4

=== debian/changelog ===
ncmpcpp (0.6.4-1build1) wily; urgency=medium

  * No change rebuild for libtag1v5

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 23 Aug 2015 18:28:42 -0500

ncmpcpp (0.6.4-1) unstable; urgency=medium

  * Upstream release
  * Drop ChangeLog patch
  * bash completion dropped upstream

 -- Christoph Egger <christoph@debian.org>  Sun, 03 May 2015 13:23:10 +0200

ncmpcpp (0.6~beta4-1) experimental; urgency=medium

  * New upstream beta

 -- Christoph Egger <christoph@debian.org>  Sat, 20 Sep 2014 18:36:25 -0700

ncmpcpp (0.6~beta2-1) experimental; urgency=medium

  * Upstream beta release (Closes: #760457)
  * Add VCS + VCS lines
  * fix watchfile

 -- Christoph Egger <christoph@debian.org>  Fri, 05 Sep 2014 21:02:40 -0700

ncmpcpp (0.5.10-2) unstable; urgency=medium

  * debian/control
    - Adopt package (Closes: #700883)
    - add missing pkg-config to Build-Depends to fix FTBFS (Closes: #747791),
      thanks Hideki Yamane!
  * debian/patches
    - fix_out_of_range_exception.patch:
      Patch by Emmanouil Maroudas fix std::out_of_range exception when
      "Select songs of album around cursor" is used (Closes: #747029)
  	- screen-corruption-fix.patch:
      Patch from upstream, backported by John Eikenberry fixes
      one-line-offsets happening in the ncurses interface from time to time
      (Closes: #725746)

 -- Christoph Egger <christoph@debian.org>  Fri, 08 Aug 2014 10:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,28 @@
 Source: ncmpcpp
 Section: sound
 Priority: optional
-Maintainer: Damien Leone <damien.leone@fensalir.fr>
+Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1),
                debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                autotools-dev,
+               pkg-config,
                libncursesw5-dev,
                libcurl4-gnutls-dev,
                libtag1-dev,
                libfftw3-dev,
-               libmpdclient-dev
+               libmpdclient-dev,
+               libboost-dev,
+               libboost-filesystem-dev,
+               libboost-locale-dev,
+               libboost-program-options-dev,
+               libboost-regex-dev,
+               libboost-thread-dev,
+               libreadline-dev
 Standards-Version: 3.9.3
 Homepage: http://unkart.ovh.org/ncmpcpp/
+Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/ncmpcpp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ncmpcpp.git;a=summary
 
 Package: ncmpcpp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,9 @@
                              --enable-outputs \
                              --enable-visualizer \
                              --with-curl \
-                             --with-taglib
+                             --with-taglib \
+                             BOOST_LIB_SUFFIX=
 
 install/ncmpcpp::
 	rm $(DEB_DESTDIR)/usr/share/doc/ncmpcpp/COPYING
 	rm $(DEB_DESTDIR)/usr/share/doc/ncmpcpp/config
-	rm $(DEB_DESTDIR)/usr/share/doc/ncmpcpp/keys
-	# bash completion
-	install -d -m0755 $(DEB_DESTDIR)/etc/bash_completion.d
-	install -m0644 doc/ncmpcpp-completion.bash \
-		$(DEB_DESTDIR)/etc/bash_completion.d/ncmpcpp

## ncmpcpp 0.7

=== debian/changelog ===
ncmpcpp (0.7-1) unstable; urgency=medium

  * New upstream version
  * Bump standards Version

 -- Christoph Egger <christoph@debian.org>  Sat, 02 Jan 2016 14:32:35 +0100

ncmpcpp (0.6.6-1) unstable; urgency=medium

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Fri, 11 Sep 2015 16:46:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Christoph Egger <christoph@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1),
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
-               autotools-dev,
+               dh-autoreconf,
                pkg-config,
                libncursesw5-dev,
                libcurl4-gnutls-dev,
@@ -19,7 +18,7 @@
                libboost-regex-dev,
                libboost-thread-dev,
                libreadline-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://unkart.ovh.org/ncmpcpp/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/ncmpcpp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ncmpcpp.git;a=summary

=== debian/watch ===
version=3
opts="uversionmangle=s/_beta/~beta/" \
 http://ncmpcpp.rybczak.net/stable/ ncmpcpp-(.*)\.tar\.bz2

## ncmpcpp 0.7.4

=== debian/changelog ===
ncmpcpp (0.7.4-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Thu, 11 Aug 2016 20:28:55 -0500

ncmpcpp (0.7.4-1) unstable; urgency=medium

  * New upstream version 

 -- Christoph Egger <christoph@debian.org>  Tue, 17 May 2016 17:24:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: ncmpcpp
 Section: sound
 Priority: optional
-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
+Bugs: mailto: <maintainer@mepiscommunity.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                dh-autoreconf,

## ncmpcpp 0.8.1

=== debian/changelog ===
ncmpcpp (0.8.1-1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 13:55:31 +0000

ncmpcpp (0.8.1-1build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:30:33 +0000

ncmpcpp (0.8.1-1) unstable; urgency=medium

  * Bump standards version to 4.1.1
  * Update URLs
  * New upstream version
  * Update compat to 10
  * Enable Rules-Requires-Root: no

 -- Christoph Egger <christoph@debian.org>  Wed, 01 Nov 2017 13:21:58 +0100

ncmpcpp (0.8-1) unstable; urgency=medium

  * New upstream release
  * Enable parallel build

 -- Christoph Egger <christoph@debian.org>  Sun, 01 Oct 2017 15:35:49 +0200

ncmpcpp (0.7.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sun, 01 Oct 2017 14:10:12 +0200

ncmpcpp (0.7.7-1) experimental; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Sat, 14 Jan 2017 12:07:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: ncmpcpp
 Section: sound
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
-Bugs: mailto: <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Christoph Egger <christoph@debian.org>
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                dh-autoreconf,
                pkg-config,
@@ -20,10 +18,11 @@
                libboost-regex-dev,
                libboost-thread-dev,
                libreadline-dev
-Standards-Version: 3.9.6
-Homepage: http://unkart.ovh.org/ncmpcpp/
+Standards-Version: 4.1.1
+Homepage: https://ncmpcpp.rybczak.net
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/ncmpcpp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ncmpcpp.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ncmpcpp.git;a=summary
+Rules-Requires-Root: no
 
 Package: ncmpcpp
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ncmpcpp
#
# Written by Damien Leone <damien.leone@fensalir.fr>

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure --     --enable-clock \
                             --enable-unicode \
                             --without-iconv \
                             --enable-outputs \
                             --enable-visualizer \
                             --with-curl \
                             --with-taglib \
                             BOOST_LIB_SUFFIX=

## ncmpcpp 0.8.2

=== debian/changelog ===
ncmpcpp (0.8.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 May 2018 14:34:39 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ncmpcpp
 Section: sound
 Priority: optional
-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                dh-autoreconf,

## ncmpcpp 0.9.2

=== extras/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CXX=g++
-CXXFLAGS=-O2 -g
+CXXFLAGS=-O2 -march=native -pipe -std=c++0x -Wall -Wextra -Wshadow -Werror
 CPPFLAGS=`taglib-config --cflags`
 LDFLAGS=`taglib-config --libs`

=== debian/changelog ===
ncmpcpp (0.9.2-2.2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:47 +0200

ncmpcpp (0.9.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Use up-to-date homepage field.
  * debian/watch: Monitor upstream releases on GitHub.
  * debian/control: Update obsolete build-dep package names:
    + pkg-config => pkgconf
    + libtag1-dev => libtag-dev

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Jan 2025 10:30:08 -0500

ncmpcpp (0.9.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/taglib-2.patch: Apply patch from Arch Linux to
    fix FTBFS with taglib 2.0.2. (Closes: #1092708)

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2025 10:20:27 -0500

ncmpcpp (0.9.2-2) unstable; urgency=medium

  * Add explicite dependency on zlib (Closes: #997244)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Drop unnecessary dependency on dh-autoreconf.

 -- Christoph Egger <christoph@debian.org>  Mon, 01 Nov 2021 12:11:38 +0100

ncmpcpp (0.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Thu, 11 Feb 2021 19:19:33 +0100

ncmpcpp (0.8.2-1) unstable; urgency=medium

  * Fix compilation with GCC 10 (Closes: #957584)

 -- Christoph Egger <christoph@debian.org>  Thu, 23 Jul 2020 11:18:23 +0200

ncmpcpp (0.8.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Christoph Egger ]
  * New upstream release
    * Fixes build with ICU > 61 (Closes: #913507)
  * Migrate to salsa

  [ Jonas Smedegaard ]
  * Upload as NMU, as encouraged in bug#913507.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Nov 2018 18:29:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: ncmpcpp
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Christoph Egger <christoph@debian.org>
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
-               dh-autoreconf,
-               pkg-config,
+               pkgconf,
                libncursesw5-dev,
                libcurl4-gnutls-dev,
-               libtag1-dev,
+               libtag-dev,
                libfftw3-dev,
                libmpdclient-dev,
                libboost-dev,
@@ -18,11 +16,12 @@
                libboost-program-options-dev,
                libboost-regex-dev,
                libboost-thread-dev,
-               libreadline-dev
-Standards-Version: 4.1.1
-Homepage: https://ncmpcpp.rybczak.net
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/ncmpcpp.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ncmpcpp.git;a=summary
+               libreadline-dev,
+               zlib1g-dev
+Standards-Version: 4.2.1
+Homepage: https://github.com/ncmpcpp/ncmpcpp
+Vcs-Git: https://salsa.debian.org/debian/ncmpcpp.git
+Vcs-Browser: https://salsa.debian.org/debian/ncmpcpp
 Rules-Requires-Root: no
 
 Package: ncmpcpp

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/ncmpcpp/ncmpcpp/tags?per_page=100 \
 https://api.github.com/repos/ncmpcpp/ncmpcpp/tarball/refs/tags/@ANY_VERSION@
